"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function queryPreRenderedTargets(root, bindings) {
    return Array.from(root.querySelectorAll('div[id^="humany_"]'))
        .map(function (element) {
        var widgetName = element.id.substr(7);
        return { widgetName: widgetName, element: element };
    });
}
exports.queryPreRenderedTargets = queryPreRenderedTargets;
function queryLinkTargets(root, bindings) {
    var regex = new RegExp("(http:|https:)?//(" + bindings.join('|') + ")");
    return Array.from(root.querySelectorAll('a'))
        .filter(function (element) { return bindings.indexOf(element.hostname) > -1; })
        .map(function (element) {
        return {
            element: element,
            widgetName: element.pathname.split('/')[1],
        };
    });
}
exports.queryLinkTargets = queryLinkTargets;
//# sourceMappingURL=target-queries.js.map